### Method

# EDataServer OAuth2Service prepare_get_token_form

since: 3.28

#### Declaration [src]

    void
    e_oauth2_service_prepare_get_token_form (
      EOAuth2Service* service,
      ESource* source,
      const gchar* authorization_code,
      GHashTable* form
    )

#### Description [src]

Sets additional form parameters to be used in the POST request when requesting access token after successfully obtained authorization code. The default implementation sets some values too, namely “code”, “client_id”, “client_secret”, “redirect_uri” and “grant_type”. These parameters are always provided, even when the interface implementer overrides this method.

The `form` hash table expects both key and value to be newly allocated strings, which will be freed together with the hash table or when the key is replaced.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

`authorization_code`

  Type: `const gchar*`

  Authorization code, as returned from e_oauth2_service_extract_authorization_code().

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`form`

  Type: `GHashTable`

  Form parameters to be used in the POST request.

  The data is owned by the caller of the method.